Package org.apache.batchee.jaxb

## Class Flow

- java.lang.Object
- - org.apache.batchee.jaxb.Flow

- All Implemented Interfaces:
    `ExecutionElement`

      public class Flow
      extends Object
      implements ExecutionElement

  Java class for Flow complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Flow">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element name="decision" type="{http://xmlns.jcp.org/xml/ns/javaee}Decision"/>
                 <element name="flow" type="{http://xmlns.jcp.org/xml/ns/javaee}Flow"/>
                 <element name="split" type="{http://xmlns.jcp.org/xml/ns/javaee}Split"/>
                 <element name="step" type="{http://xmlns.jcp.org/xml/ns/javaee}Step"/>
               </choice>
               <group ref="{http://xmlns.jcp.org/xml/ns/javaee}TransitionElements" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="next" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<ExecutionElement>` | `executionElements` |
    `protected String` | `id` |
    `protected String` | `nextFromAttribute` |
    `protected List<TransitionElement>` | `transitionElements` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Flow()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ExecutionElement>` | `getExecutionElements()` | Gets the value of the executionElements property.
    `String` | `getId()` | Gets the value of the id property.
    `String` | `getNextFromAttribute()` | Gets the value of the nextFromAttribute property.
    `List<TransitionElement>` | `getTransitionElements()` | Gets the value of the transitionElements property.
    `void` | `setId​(String value)` | Sets the value of the id property.
    `void` | `setNextFromAttribute​(String value)` | Sets the value of the nextFromAttribute property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### executionElements

          protected List<ExecutionElement> executionElements

    - #### transitionElements

          protected List<TransitionElement> transitionElements

    - #### id

          protected String id

    - #### nextFromAttribute

          protected String nextFromAttribute

  - ### Constructor Detail

    - #### Flow

          public Flow()

  - ### Method Detail

    - #### getExecutionElements

          public List<ExecutionElement> getExecutionElements()

      Gets the value of the executionElements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the executionElements property.

      For example, to add a new item, do as follows:

              getExecutionElements().add(newItem);

      Objects of the following type(s) are allowed in the list `Split` `Flow` `Step` `Decision`

    - #### getTransitionElements

          public List<TransitionElement> getTransitionElements()

      Gets the value of the transitionElements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transitionElements property.

      For example, to add a new item, do as follows:

              getTransitionElements().add(newItem);

      Objects of the following type(s) are allowed in the list `Stop` `Fail` `Next` `End`

      Specified by:
        `getTransitionElements` in interface `ExecutionElement`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Specified by:
        `getId` in interface `ExecutionElement`
      Returns:
        possible object is `String`

    - #### setId

          public void setId​(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNextFromAttribute

          public String getNextFromAttribute()

      Gets the value of the nextFromAttribute property.
      Returns:
        possible object is `String`

    - #### setNextFromAttribute

          public void setNextFromAttribute​(String value)

      Sets the value of the nextFromAttribute property.
      Parameters:
        `value` - allowed object is `String`